<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XFkType StructType
 * @subpackage Structs
 */
class XFkType extends AbstractStructBase
{
    /**
     * The _
     * @var string
     */
    public $_;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * - use: optional
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for XFkType
     * @uses XFkType::set_()
     * @uses XFkType::setUuid()
     * @param string $_
     * @param string $uuid
     */
    public function __construct($_ = null, $uuid = null)
    {
        $this
            ->set_($_)
            ->setUuid($uuid);
    }
    /**
     * Get _ value
     * @return string|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param string $_
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public function set_($_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
